Update Open Input Framework references in gesture patch

Bug #1045996 reported by Chase Douglas on 2012-09-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
High
Chase Douglas
Oneiric
High
Francis Ginther
Precise
High
Francis Ginther

Bug Description

[Impact]
The uTouch framework has been renamed "Open Input Framework". The framework references must be renamed in all packages.

[Test Case]
Ensure that the package continues to build and function as normal after installation. Nothing specific needs to be tested.

[Regression Potential]
Practically zero as long as the package builds. If any issues arise, they will likely be noticed immediately in the form of crashes due to unresolved symbols.

Changed in evince (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.5.90-0ubuntu3

---------------
evince (3.5.90-0ubuntu3) quantal; urgency=low

  * Update gesture references for "Open Input Framework" rename (LP: #1045996)
 -- Chase Douglas <email address hidden> Tue, 04 Sep 2012 12:55:50 -0700

Changed in evince (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in evince (Ubuntu Oneiric):
importance: Undecided → High
assignee: nobody → Francis Ginther (fginther)
Changed in evince (Ubuntu Precise):
assignee: nobody → Francis Ginther (fginther)
importance: Undecided → High
status: New → Fix Committed

Hello Chase, or anyone else affected,

Accepted evince into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/evince/3.4.0-0ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Chase, or anyone else affected,

Accepted evince into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/evince/3.2.1-0ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in evince (Ubuntu Oneiric):
status: New → Fix Committed
Francis Ginther (fginther) wrote :

Verified that oneiric and precise packages can be built from source inside a pbuilder chroot. Also verified 2 finger scrolling and 2 finger tap works.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.4.0-0ubuntu1.4

---------------
evince (3.4.0-0ubuntu1.4) precise-proposed; urgency=low

  [ Francis Ginther ]
  * Update gesture references for "Open Input Framework" rename (LP: #1045996)
 -- Chase Douglas <email address hidden> Thu, 06 Sep 2012 12:44:43 -0700

Changed in evince (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.2.1-0ubuntu2.3

---------------
evince (3.2.1-0ubuntu2.3) oneiric-proposed; urgency=low

  * Update gesture references for "Open Input Framework" rename (LP: #1045996)
 -- Francis Ginther <email address hidden> Thu, 06 Sep 2012 16:34:20 -0500

Changed in evince (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers